%global enable_tests 0

Name:           nodejs-passport-oauth
Version:        0.1.15
Release:        1%{?dist}
Summary:        OAuth 1.0 and 2.0 authentication strategies for Passport

License:        MIT
URL:            https://github.com/jaredhanson/passport-oauth
Source0:        http://registry.npmjs.org/passport-oauth/-/passport-oauth-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:        passport-oauth-tests-v%{version}.tar.bz2
Source10:       passport-oauth-dl-tests.sh
BuildArch:      noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(vows)
BuildRequires:  npm(oauth)
BuildRequires:  npm(passport)
BuildRequires:  npm(pkginfo)
%endif

%description
General-purpose OAuth 1.0 and OAuth 2.0 authentication strategies for
Passport.

This module lets you authenticate using OAuth in your Node.js
applications. By plugging into Passport, OAuth authentication can be
easily and unobtrusively integrated into any application or framework
that supports Connect-style middleware, including Express.

Note that this strategy provides generic OAuth support. In many cases,
a provider-specific strategy can be used instead, which cuts down on
unnecessary configuration, and accommodates any provider-specific
quirks. See the list below for supported providers.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
%nodejs_fixdep pkginfo "~0.3.0"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/passport-oauth
cp -pr package.json lib %{buildroot}/%{nodejs_sitelib}/passport-oauth
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
ln -sf %{nodejs_sitelib} .
NODE_PATH=lib %{nodejs_sitelib}/vows/bin/vows test/*-test.js test/**/*-test.js
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/passport-oauth


%changelog
* Sun Apr 14 2013 Tom Hughes <tom@compton.nu> - 0.1.15-1
- Update to 0.1.15 upstream release

* Mon Mar 11 2013 Tom Hughes <tom@compton.nu> - 0.1.14-3
- Link node_modules for tests
- BuildRequire oauth, passport and pkginfo for tests
- Improve description

* Sat Feb 23 2013 Tom Hughes <tom@compton.nu> - 0.1.14-2
- Update pkginfo dependency

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 0.1.14-1
- Initial build of 0.1.14
